!---------------------------------------------------------------------------------------
! FLEXINVERT : readinitial
!---------------------------------------------------------------------------------------
!  Copyright 2013, Rona Thompson
!
!  FLEXINVERT is free software: you can redistribute it and/or modify
!  it under the terms of the GNU General Public License as published by
!  the Free Software Foundation, either version 3 of the License, or
!  (at your option) any later version.
!
!  FLEXINVERT is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU General Public License for more details.
!
!  You should have received a copy of the GNU General Public License
!  along with FLEXINVERT.  If not, see <http://www.gnu.org/licenses/>.
!---------------------------------------------------------------------------------------
!> Reads initialization file SETTINGS_constraint
!---------------------------------------------------------------------------------------

subroutine readinitial

  use mod_var

  implicit none

  open(100,file='SETTINGS_constraint',action='read',status='old')
  read(100,*)
  read(100,fmt='(A250)') dirinvert
  read(100,*)
  read(100,fmt='(A250)') dirout
  read(100,*)
  read(100,*) logfile
  read(100,*)
  read(100,*) scaleflx
  read(100,*)
  read(100,*) contype
  read(100,*)
  if (contype.eq.0) then
    read(100,*) ineq
  else if (contype.eq.1) then
    read(100,fmt='(A250)') tgconpath
  else
    write(logid,*) 'Invalid type of constraint: ', contype
    write(logid,*) 'Must be either 0 or 1'
    stop
  endif
end subroutine readinitial
